%define oname xfce4-cpu-freq-plugin

Summary:	Cpu-freq plugins for Xfce desktop
Name:		xfce-cpu-freq-plugin
Version:	0.0.1
Release:	%mkrel 3
License:	GPL
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-cpufreq-plugin
Source0:	%{oname}-%{version}.tar.bz2
Requires:	xfce-panel >= 4.3.90.2
BuildRequires:	xfce-panel-devel >= 4.3.90.2
BuildRequires:	libxfcegui4-devel >= 4.3.90.2
BuildRequires:	perl(XML::Parser)
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
cpu freq plugin for the Xfce Desktop Environment. It provides a
simple system for managing the frequency of the CPU.

%prep
%setup -qn %{oname}-%{version}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%post
%update_icon_cache hicolor

%postun
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README ChangeLog COPYING AUTHORS INSTALL NEWS
%{_libdir}/xfce4/panel-plugins/*
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg


%changelog
* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.1-3mdv2007.1
+ Revision: 33207
- add macros to %%post and %%postun
- spec file clean
- drop __libtoolize


* Wed Jan 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.0.1-2mdv2007.0
+ Revision: 113044
- Rebuild for new xfce

* Wed Jan 10 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.0.1-1mdv2007.1
+ Revision: 107060
- Import xfce-cpu-freq-plugin

